program translation;

{$mode objfpc}

uses
  JS, Classes, SysUtils, Web, mystrings, rstranslate;

ResourceString
  PageTitle = 'Translation using resource strings - Manual';

Var
  aHeader : TJSHTMLELement;
  aPar : TJSHTMLELement;
  aButton : TJSHTMLButtonELement;
  IsDutch : Boolean;


procedure SetTexts;
begin
  aHeader.InnerHTML:=Header;
  aButton.InnerHTML:=Button;
  aPar.InnerHtml:=Paragraph+' '+TranslateDirect;
  Document.title:=PageTitle;
end;

function DoTranslation(aEvent: TJSMouseEvent): boolean;

begin
  IsDutch:=Not IsDutch;
  if IsDutch then
    begin
    Translate('program','PageTitle','Vertaling met resourcestrings - directe API');
    Translate('mystrings','Button','Vertaal deze pagina');
    Translate('mystrings','Header','Vertaling met resourcestrings');
    Translate('mystrings','Paragraph','Deze tekst wordt vertaald.');
    Translate('mystrings','TranslateDirect','De directe API wordt gebruikt voor dit voorbeeld.');
    Translate('mystrings','TranslateJSON','Een JSON object wordt gebruikt voor dit voorbeeld.');
    Translate('mystrings','TranslateURL','Een URL wordt gebruikt voor dit voorbeeld.');
    end
  else
    begin
    // Single string of a module
    ResetTranslation('program','PageTitle');
    // All strings in a module
    ResetTranslation('mystrings');
    end;
  SetTexts;
end;


Procedure Init;

  function GetEl(const aName: string): TJSHTMLELement;
  begin
    Result:=TJSHTMLELement(Document.getElementById(aName));
  end;

begin
  aHeader:=GetEl('translate-header');
  aPar:=GetEl('translate-text');
  aButton:=TJSHTMLButtonELement(GetEl('btn-translate'));
  aButton.onclick:=@DoTranslation;
end;


begin
  Init;
  SetTexts;
end.
