program translation;

{$mode objfpc}

uses
  JS, Classes, SysUtils, Web, mystrings, rstranslate;

ResourceString
  PageTitle = 'Translation using resource strings - Objects';

Var
  aHeader : TJSHTMLELement;
  aPar : TJSHTMLELement;
  aButton : TJSHTMLButtonELement;
  IsDutch : Boolean;
  Dutch : TJSObject; external name 'dutch';

procedure SetTexts;
begin
  aHeader.InnerHTML:=Header;
  aButton.InnerHTML:=Button;
  aPar.InnerHtml:=Paragraph+' '+TranslateJSON;
  Document.title:=PageTitle;
end;

function DoTranslation(aEvent: TJSMouseEvent): boolean;

begin
  Result:=True;
  IsDutch:=Not IsDutch;
  if IsDutch then
    Translate(Dutch)
  else
    begin
    ResetTranslation('program','PageTitle');
    ResetTranslation('mystrings');
    end;
  SetTexts;
end;


Procedure Init;

  function GetEl(const aName: string): TJSHTMLELement;
  begin
    Result:=TJSHTMLELement(Document.getElementById(aName));
  end;

begin
  aHeader:=GetEl('translate-header');
  aPar:=GetEl('translate-text');
  aButton:=TJSHTMLButtonELement(GetEl('btn-translate'));
  aButton.onclick:=@DoTranslation;
end;


begin
  Init;
  SetTexts;
end.
