program translation;

{$mode objfpc}

uses
  JS, Classes, SysUtils, Web, mystrings, rstranslate;

ResourceString
  PageTitle = 'Translation using resource strings - URL';

Var
  aHeader : TJSHTMLELement;
  aPar : TJSHTMLELement;
  aButton : TJSHTMLButtonELement;
  IsDutch : Boolean;

procedure SetTexts;
begin
  aHeader.InnerHTML:=Header;
  aButton.InnerHTML:=Button;
  aPar.InnerHtml:=Paragraph+' '+TranslateURL;
  Document.title:=PageTitle;
end;

function DoTranslation(aEvent: TJSMouseEvent): boolean;

  Procedure DoTranslated(Sender : TObject; aURL : String);
  begin
    SetTexts;
  end;

begin
  Result:=True;
  IsDutch:=Not IsDutch;
  if IsDutch then
    Translate('dutch.json',@DoTranslated)
  else
    begin
    ResetTranslation('program','PageTitle');
    ResetTranslation('mystrings');
    SetTexts;
    end;
end;


Procedure Init;

  function GetEl(const aName: string): TJSHTMLELement;
  begin
    Result:=TJSHTMLELement(Document.getElementById(aName));
  end;

begin
  aHeader:=GetEl('translate-header');
  aPar:=GetEl('translate-text');
  aButton:=TJSHTMLButtonELement(GetEl('btn-translate'));
  aButton.onclick:=@DoTranslation;
end;


begin
  Init;
  SetTexts;
end.
